#include "Animation.h"

namespace graphics
{
	Animation::Animation(assets::AnimationProvider &given_provider):
		provider(given_provider),
		animation(NULL)	
	{
		controller.Finished.Register(this, &Animation::loopAnimation);
		setAnimation(North, "Stand", true);
	}
}
